#
# spec file for package lowpan-tools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lowpan-tools
Summary:        Utilities to manage the Linux 802.15.4 LoWPAN stack
License:        GPL-2.0
Group:          Hardware/Radio
Version:        0.3.1
Release:        7.5
Url:            http://linux-zigbee.sf.net/

#Git-Clone:	git://linux-zigbee.git.sf.net/gitroot/linux-zigbee/linux-zigbee
Source:         http://downloads.sf.net/linux-zigbee/%name-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildRequires:	autoconf >= 2.61, automake, libtool
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  help2man
BuildRequires:  pkg-config
BuildRequires:  python-base
BuildRequires:  pkgconfig(libnl-3.0)

%description
This is a set of utils to manage the Linux LoWPAN stack.

The LoWPAN stack aims for IEEE 802.15.4-2003 (and for lesser extent
IEEE 802.15.4-2006) compatibility.

%package devel
Summary:        Development files for the Linux 802.15.4 LoWPAN stack
Group:          Development/Libraries/C and C++

%description devel
The LoWPAN stack aims for IEEE 802.15.4-2003 (and for lesser extent
IEEE 802.15.4-2006) compatibility.

This package contains header files to interact with LoWPAN over
Netlink.

%package tests
Summary:        Testsuite for the Linux 802.15.4 LoWPAN stack
Group:          Development/Debug

%description tests
This is a set of utils to test the Linux LoWPAN stack.

The LoWPAN stack aims for IEEE 802.15.4-2003 (and for lesser extent
IEEE 802.15.4-2006) compatibility.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";

%files
%defattr(-,root,root)
%_bindir/izchat
%_sbindir/iz*
%_mandir/man?/iz*

%files devel
%defattr(-,root,root)
%_includedir/*802154.h

%files tests
%defattr(-,root,root)
%_libexecdir/%name
%python_sitelib/test_DQ.py*

%changelog
* Mon Aug 11 2014 jengelh@inai.de
- Update to new upstream release 0.3.1
  * izattach: enable custom baudrate
  * iz-mac: Handle return code from "set" command
  * Allow to set PAN ID, short address and channel manually
* Sat Sep 22 2012 jengelh@inai.de
- Switch to upstream tarball 0.3 (no other changes, since we
  already had a git snapshot close to it)
* Sun Sep  9 2012 jengelh@inai.de
- Initial package (version 0.3~pre+g6d4636d) for build.opensuse.org
